<template>
    <div class="slds-m-around_x-small">
        <c-custom-datatable class="slds-table_col-bordered slds-table_striped"
                            key-field="id"
                            data={afterPaginationData}
                            hide-checkbox-column="true"
                            columns={columns}>
        </c-custom-datatable>
        <div class="slds-m-around_x-small">
            <c-paginator onprevious={handlePrevious}
                         onnext={handleNext}
                         onfirst={handleFirst}
                         onlast={handleLast}
                         current-page={page}
                         total-records={totalRecords}
                         page-size={pageSize}>
            </c-paginator>
        </div>
    </div>
</template>